Reinforcement LShapeRebar/ru: Difference between revisions

From FreeCAD Documentation
No edit summary
(Updating to match new version of source page)
 
(9 intermediate revisions by 2 users not shown)
Line 1: Line 1:
<languages/>
<languages/>


<div class="mw-translate-fuzzy">
{{Docnav/ru
{{Docnav/ru
|[[Arch_Rebar_UShape/ru|Rebar UShape]]
|[[Arch_Rebar_UShape/ru|U-Образная арматура]]
|[[Arch_Rebar_Stirrup/ru|Rebar Stirrup]]
|[[Arch_Rebar_Stirrup/ru|Кольцевая арматура]]
|[[Arch_Workbench/ru|Архитектурный верстак "Arch"]]
|[[Arch_Workbench/ru|Архитектурный верстак "Arch"]]
|IconL=Arch_Rebar_UShape.svg
|IconL=Arch_Rebar_UShape.svg
Line 9: Line 10:
|IconC=Workbench_Arch.svg
|IconC=Workbench_Arch.svg
}}
}}
</div>


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
{{GuiCommand/ru
{{GuiCommand/ru
|Name/ru=L-Образная арматура
|Name=Arch Rebar LShape
|Name/ru=Arch Rebar LShape
|Name=Arch_Rebar_LShape
|MenuLocation=Arch → Rebar tools
|MenuLocation=Arch → Rebar tools → L-Shape Rebar<br>3D/BIM → Reinforcement tools → L-Shape Rebar
|Workbenches=[[Arch Workbench/ru|Arch]], [[BIM Workbench/ru|BIM]]
|Workbenches=[[Arch_Workbench/ru|Arch]], [[BIM_Workbench/ru|BIM]]
|SeeAlso=[[Arch_Rebar_BentShape/ru|Bent Rebar]], [[Arch Rebar/ru|Rebar]]
|Version=0.17
|Version=0.17
|SeeAlso=[[Reinforcement_Workbench/ru|Reinforcement]], [[Arch_Rebar/ru|Арматура по эскизу]], [[Arch_Rebar_BentShape/ru|Изогнутая арматура]]
}}
}}
</div>
</div>


<span id="Description"></span>
==Описание==
==Описание==


Line 27: Line 30:
</div>
</div>


This tool is part of the [[Reinforcement_Workbench|Reinforcement Workbench]], an [[External_workbenches|external workbench]] that can be installed with the [[Image:Std_AddonMgr.svg|24px]] [[Std_AddonMgr|Addon Manager]].
The [[Arch_Rebar_LShape|LShape Rebar]] tool is also integrated into [[BIM_Workbench|BIM Workbench]].

This command is part of the [[Reinforcement Workbench|Reinforcement Workbench]], an [[External workbenches|external workbench]] that can be installed with the [[Image:Std_AddonMgr.svg|24px]] [[Std_AddonMgr|Addon Manager]] via the {{MenuCommand|Tools → Addon manager → Reinforcement}} menu.


[[Image:Arch_Rebar_LShape_example.png|400px]]
[[Image:Arch_Rebar_LShape_example.png|400px]]
Line 36: Line 37:
</div>
</div>


<span id="Usage"></span>
==Применение==
==Применение==


# Select any face of a previously created {{Button|[[Image:Arch_Structure.svg|16px]] [[Arch Structure]]}} object.
# Select any face of a previously created {{Button|[[Image:Arch_Structure.svg|16px]] [[Arch Structure]]}} object.
# Then select {{Button|[[Image:Arch_Rebar_LShape.svg|16px]] [[Arch Rebar LShape|LShape Rebar]]}} from the rebar tools.
# Then select {{Button|[[Image:Reinforcement_LShapeRebar.svg|16px]] [[Reinforcement_LShapeRebar|L-Shape Rebar]]}} from the rebar tools.
# A [[task panel]] will pop-out on the left side of the screen as shown below.
# A [[Task_panel|task panel]] will pop-out on the left side of the screen as shown below.
# Select the desired orientation.
# Select the desired orientation.
# Populate the inputs like 'Left Cover', Right Cover, Top Cover, 'Bottom Cover', 'Front Cover', 'Bent Angle', 'Bent Factor', 'Rounding' and 'Diameter' of the rebar.
# Populate the inputs like 'Left Cover', Right Cover, Top Cover, 'Bottom Cover', 'Front Cover', 'Bent Angle', 'Bent Factor', 'Rounding' and 'Diameter' of the rebar.
# Select the mode of distribution either 'Amount' or 'Spacing'.
# Select the mode of distribution either 'Amount' or 'Spacing'.
#* If 'Spacing' is selected, a user can also opt for [[Custom_Spacing|custom spacing]].
#* If 'Spacing' is selected, a user can also opt for [[Reinforcement_Custom_Spacing|custom spacing]].
# {{Button|Pick Selected Face}} is used to verify or change the face for rebar distribution.
# {{Button|Pick Selected Face}} is used to verify or change the face for rebar distribution.
# Click {{Button|OK}} or {{Button|Apply}} to generate the rebars.
# Click {{Button|OK}} or {{Button|Apply}} to generate the rebars.
# Click {{Button|Cancel}} to exit the task panel.
# Click {{Button|Cancel}} to exit the task panel.
:[[Image:LShapeDialog.png|250px]]
{{Caption|Taskview panel for the Arch Rebar LShape tool}}


[[Image:LShapeDialog.png|250px]]
{{Caption|Task panel for the tool}}

<span id="Properties"></span>
==Свойства==
==Свойства==


Line 64: Line 68:


==Scripting==
==Scripting==
{{Emphasis|See also:}} [[Arch API]], [[Reinforcement API]] and [[FreeCAD Scripting Basics]].


{{Emphasis|See also:}} [[Arch_API|Arch API]], [[Reinforcement_API|Reinforcement API]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].
The LShape Rebar tool can be used in [[macros]] and from the [[Python]] console by using the following function:

The Reinforcement LShapeRebar tool can be used in [[Macros|macros]] and from the [[Python|Python]] console by using the following function:

{{Code|code=
{{Code|code=
Rebar = makeLShapeRebar(f_cover, b_cover, l_cover, r_cover,
Rebar = makeLShapeRebar(f_cover, b_cover, l_cover, r_cover,
Line 82: Line 88:
* {{incode|orientation}} specifies the orientation of the rebar; it can be {{incode|"Bottom Right"}}, {{incode|"Bottom Left"}}, {{incode|"Top Right"}}, or {{incode|"Top Left"}}.
* {{incode|orientation}} specifies the orientation of the rebar; it can be {{incode|"Bottom Right"}}, {{incode|"Bottom Left"}}, {{incode|"Top Right"}}, or {{incode|"Top Left"}}.


<span id="Example"></span>
=== Пример ===
=== Пример ===

{{Code|code=
{{Code|code=
import FreeCAD, Arch, LShapeRebar
import FreeCAD, Arch, LShapeRebar
Line 100: Line 108:


=== Edition of the rebar ===
=== Edition of the rebar ===

You can change the properties of the rebar with the following function
You can change the properties of the rebar with the following function:

{{Code|code=
{{Code|code=
editLShapeRebar(Rebar, f_cover, b_cover, l_cover, r_cover,
editLShapeRebar(Rebar, f_cover, b_cover, l_cover, r_cover,
Line 122: Line 132:




<div class="mw-translate-fuzzy">
{{Docnav/ru
{{Docnav/ru
|[[Arch_Rebar_UShape/ru|Rebar UShape]]
|[[Arch_Rebar_UShape/ru|U-Образная арматура]]
|[[Arch_Rebar_Stirrup/ru|Rebar Stirrup]]
|[[Arch_Rebar_Stirrup/ru|Кольцевая арматура]]
|[[Arch_Workbench/ru|Архитектурный верстак "Arch"]]
|[[Arch_Workbench/ru|Архитектурный верстак "Arch"]]
|IconL=Arch_Rebar_UShape.svg
|IconL=Arch_Rebar_UShape.svg
Line 130: Line 141:
|IconC=Workbench_Arch.svg
|IconC=Workbench_Arch.svg
}}
}}
</div>


{{Arch Tools navi{{#translation:}}}}
[[Category:External_Command_Reference{{#translation:}}]]
{{Userdocnavi{{#translation:}}}}
[[Category:Reinforcement{{#translation:}}]]
[[Category:Reinforcement{{#translation:}}]]
{{Arch_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 09:26, 18 March 2024

L-Образная арматура

Системное название
Arch_Rebar_LShape
Расположение в меню
Arch → Rebar tools → L-Shape Rebar
3D/BIM → Reinforcement tools → L-Shape Rebar
Верстаки
Arch, BIM
Быстрые клавиши
Нет
Представлено в версии
0.17
См. также
Reinforcement, Арматура по эскизу, Изогнутая арматура

Описание

Инструмент LShape Rebar позволяет пользователю создавать в структурном элементе арматурный стержень с изогнутой формой.

This tool is part of the Reinforcement Workbench, an external workbench that can be installed with the Addon Manager.

Применение

  1. Select any face of a previously created Arch Structure object.
  2. Then select L-Shape Rebar from the rebar tools.
  3. A task panel will pop-out on the left side of the screen as shown below.
  4. Select the desired orientation.
  5. Populate the inputs like 'Left Cover', Right Cover, Top Cover, 'Bottom Cover', 'Front Cover', 'Bent Angle', 'Bent Factor', 'Rounding' and 'Diameter' of the rebar.
  6. Select the mode of distribution either 'Amount' or 'Spacing'.
  7. Pick Selected Face is used to verify or change the face for rebar distribution.
  8. Click OK or Apply to generate the rebars.
  9. Click Cancel to exit the task panel.

Task panel for the tool

Свойства

  • ДанныеOrientation: It decides the orientation of the rebar (like a bottom, top, right and left).
  • ДанныеFront Cover: The distance between rebar and selected face.
  • ДанныеRight Cover: The distance between the right end of the rebar to right face of the structure.
  • ДанныеLeft Cover: The distance between the left end of the rebar to the left face of the structure.
  • ДанныеBottom Cover: The distance between rebar from the bottom face of the structure.
  • ДанныеTop Cover: The distance between rebar from the top face of the structure.
  • ДанныеRounding: A rounding value to be applied to the corners of the bars, expressed in times the diameter.
  • ДанныеAmount: The amount of rebars.
  • ДанныеSpacing: The distance between the axes of each bar.

Scripting

See also: Arch API, Reinforcement API and FreeCAD Scripting Basics.

The Reinforcement LShapeRebar tool can be used in macros and from the Python console by using the following function:

Rebar = makeLShapeRebar(f_cover, b_cover, l_cover, r_cover,
                        diameter, t_cover, rounding, amount_spacing_check, amount_spacing_value, orientation="Bottom Left",
                        structure=None, facename=None):
  • Creates a Rebar object from the given structure, which is an Arch Structure, and facename, which is a face of that structure.
    • If no structure nor facename are given, it will take the user selected face as input.
  • f_cover, b_cover, l_cover, r_cover, and t_cover are inner offset distances for the rebar elements with respect to the faces of the structure. They are respectively the front, bottom, left, right, and top offsets.
  • diameter is the diameter of the reinforcement bars inside the structure.
  • rounding is the parameter that determines the bending radius of the reinforcement bars.
  • amount_spacing_check if it is True it will create as many reinforcement bars as given by amount_spacing_value; if it is False it will create reinforcement bars separated by the numerical value of amount_spacing_value.
  • amount_spacing_value specifies the number of reinforcement bars, or the value of the separation between them, depending on amount_spacing_check.
  • orientation specifies the orientation of the rebar; it can be "Bottom Right", "Bottom Left", "Top Right", or "Top Left".

Пример

import FreeCAD, Arch, LShapeRebar

Structure = Arch.makeStructure(length=1000, width=1000, height=400)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

Rebar = LShapeRebar.makeLShapeRebar(50, 20, 20, 20,
                                    8, 50, 4, True, 6, "Bottom Left", Structure, "Face4")
Rebar.ViewObject.ShapeColor = (0.9, 0.0, 0.0)

Rebar2 = LShapeRebar.makeLShapeRebar(50, 50, 20, 20,
                                     8, 50, 4, True, 6, "Bottom Left", Structure, "Face6")
Rebar2.ViewObject.ShapeColor = (0.0, 0.0, 0.9)

Edition of the rebar

You can change the properties of the rebar with the following function:

editLShapeRebar(Rebar, f_cover, b_cover, l_cover, r_cover,
                diameter, t_cover, rounding, amount_spacing_check, amount_spacing_value, orientation,
                structure=None, facename=None)
  • Rebar is a previously created LShapeRebar object.
  • The other parameters are the same as required by the makeLShapeRebar() function.
  • structure and facename may be omitted so that the rebar stays in the original structure.
import LShapeRebar

LShapeRebar.editLShapeRebar(Rebar, 50, 50, 20, 20,
                            12, 50, 6, True, 5, "Top Right")

LShapeRebar.editLShapeRebar(Rebar2, 50, 50, 20, 20,
                            12, 70, 6, True, 5, "Top Right")